$theme-colors: (
  "primary": #246976,
  "secondary": #46494c,
  "success": #20bf55,
  "info": #44bba4,
  "warning": #f9dc5c,
  "danger": #ed6a5a,
  "dark": #363732,
);

@import "../node_modules/bootstrap/scss/bootstrap";
@import '~bootstrap/scss/functions';
@import '~bootstrap/scss/variables';
@import '~bootstrap/scss/mixins';
@import '~ngx-toastr/toastr-bs4-alert';

* {
  &:active,
  :focus {
    outline: none !important;
  }
}

.no-border {
  border: none;
}

// remove input spinners
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
input[type="number"] {
  -moz-appearance: textfield;
}

label.req::after {
  content: "*";
  color: $danger;
  opacity: 55%;
}

.lbl {
  font-size: 0.85rem;
}

.mini-lbl {
  font-size: 0.8rem;
  color: $secondary;
}

// .validation-text {
//   width: 100%;
//   margin-top: 0.25rem;
//   font-size: 80%;
//   color: #ed6a5a;
// }

.tooltip-danger .tooltip-inner {
  background-color: $danger;
}
.tooltip-danger .arrow {
  &::before {
    border-bottom-color: $danger;
  }
}

.modal-backdrop.show {
  animation-name: fade;
  animation-duration: 0.3s;
}

@keyframes fade {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 0.5;
  }
}

.modal > .modal-dialog {
  animation-name: grow;
  animation-duration: 0.3s;
}

@keyframes grow {
  0% {
    transform: scale(0.5);
  }
  100% {
    transform: scale(1);
  }
}

body {
  background-color: #f9f9f9;
  height: 100vh;
}

.modal-body {
  background-color: #f9f9f9;
}
